<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigs: fwFormat.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.6</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwFormat_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwFormat.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a09d205c7994b0125fcb45199857ba857"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwFormat_8ctl.html#a09d205c7994b0125fcb45199857ba857">fwFormat_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, string sFormat, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a09d205c7994b0125fcb45199857ba857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f7335b49dbd9b460755c8c957662b5e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwFormat_8ctl.html#a8f7335b49dbd9b460755c8c957662b5e">fwFormat_setMultiple</a> (dyn_string dsDpe, string sFormat, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a8f7335b49dbd9b460755c8c957662b5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae3d025d96c7ce2bda031771f6aa8f66"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwFormat_8ctl.html#aae3d025d96c7ce2bda031771f6aa8f66">fwFormat_setMany</a> (dyn_string &amp;dsDpe, dyn_string &amp;dsFormat, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:aae3d025d96c7ce2bda031771f6aa8f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953fda18cccab98cfd7bd3e4c90af6ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwFormat_8ctl.html#a953fda18cccab98cfd7bd3e4c90af6ba">fwFormat_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, bool &amp;bFormatExists, string &amp;sFormat, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a953fda18cccab98cfd7bd3e4c90af6ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08003d034d03739d4d2bb847f076c410"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwFormat_8ctl.html#a08003d034d03739d4d2bb847f076c410">fwFormat_getMany</a> (dyn_string &amp;dsDpe, dyn_bool &amp;dbFormatExists, dyn_string &amp;dsFormat, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a08003d034d03739d4d2bb847f076c410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c28d5cd2c901a972313cbade7870a6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwFormat_8ctl.html#af9c28d5cd2c901a972313cbade7870a6">fwFormat_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:af9c28d5cd2c901a972313cbade7870a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3c93aef3d027c8fd3f663ff82f358ff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwFormat_8ctl.html#ab3c93aef3d027c8fd3f663ff82f358ff">fwFormat_deleteMultiple</a> (dyn_string dsDpe, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ab3c93aef3d027c8fd3f663ff82f358ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a758284dc37ff36bcc74bfc80130254d1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwFormat_8ctl.html#a758284dc37ff36bcc74bfc80130254d1">fwFormat_deleteMany</a> (dyn_string dsDpe, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a758284dc37ff36bcc74bfc80130254d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains function associated with the Format part of the common config. Functions allows to set, get and delete the Format of a dpe or multiple dpes</p>
<dl class="section user"><dt>Creation Date</dt><dd>29/01/2004</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd></dd></dl>
<p>12/08/11 Marco Boccioli</p><ul>
<li>@sav{85462}: Functions *_setMany and *_getMany with parameters as reference.</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Geraldine Thomas, Oliver Holme (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a09d205c7994b0125fcb45199857ba857"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09d205c7994b0125fcb45199857ba857">&#9670;&nbsp;</a></span>fwFormat_set()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwFormat_set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>set the Format of a single data point element</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>input, data point element to configure </td></tr>
    <tr><td class="paramname">sFormat</td><td>input, string Format to set </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a8f7335b49dbd9b460755c8c957662b5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f7335b49dbd9b460755c8c957662b5e">&#9670;&nbsp;</a></span>fwFormat_setMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwFormat_setMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsDpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Set the same Format for several dpes</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsDpe</td><td>input, data point elements to configure </td></tr>
    <tr><td class="paramname">sFormat</td><td>input, string Format to set </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aae3d025d96c7ce2bda031771f6aa8f66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae3d025d96c7ce2bda031771f6aa8f66">&#9670;&nbsp;</a></span>fwFormat_setMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwFormat_setMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsDpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Set differing Formats for several dpes</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsDpe</td><td>input, data point elements to configure. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">dsFormat</td><td>input, list of Formats to set to dpes. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a953fda18cccab98cfd7bd3e4c90af6ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a953fda18cccab98cfd7bd3e4c90af6ba">&#9670;&nbsp;</a></span>fwFormat_get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwFormat_get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>bFormatExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string &amp;&#160;</td>
          <td class="paramname"><em>sFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get the Format of the dpe</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element to configure </td></tr>
    <tr><td class="paramname">bFormatExists</td><td>TRUE if format is set, FALSE if no format is set </td></tr>
    <tr><td class="paramname">sFormat</td><td>output, return the Format of the dpe </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a08003d034d03739d4d2bb847f076c410"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08003d034d03739d4d2bb847f076c410">&#9670;&nbsp;</a></span>fwFormat_getMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwFormat_getMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsDpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>dbFormatExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get the Format of several dpes</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsDpe</td><td>input, data point elements to configure. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">dbFormatExists</td><td>Lists of bools indicating if format is set - TRUE if format is set, FALSE if no format is set </td></tr>
    <tr><td class="paramname">dsFormat</td><td>output, return the current Format of the dpes </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af9c28d5cd2c901a972313cbade7870a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9c28d5cd2c901a972313cbade7870a6">&#9670;&nbsp;</a></span>fwFormat_delete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwFormat_delete </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Delete the Format of the dpe. The format string is reset to ""</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element to configure </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab3c93aef3d027c8fd3f663ff82f358ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3c93aef3d027c8fd3f663ff82f358ff">&#9670;&nbsp;</a></span>fwFormat_deleteMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwFormat_deleteMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsDpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Delete the Format of several dpes. The format strings are reset to ""</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsDpe</td><td>input, data point elements to configure </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a758284dc37ff36bcc74bfc80130254d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a758284dc37ff36bcc74bfc80130254d1">&#9670;&nbsp;</a></span>fwFormat_deleteMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwFormat_deleteMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dsDpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Delete the Format of several dpes. The format strings are reset to ""</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dsDpe</td><td>input, data point elements to configure </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>output, details of any exceptions are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwFormat_8ctl.html">fwFormat.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
